> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dncscrub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Numbers

> Test phone numbers for Reassigned Authority Plus or Basic RND API development

# Reassigned Authority Plus and Basic RND Test Numbers

Use these test phone numbers during development to verify your integration with the Reassigned Authority Plus or Basic RND APIs.

<Warning>
  These test numbers work regardless if the sandbox is used. Querying these
  numbers will incur a billable event unless you are using the sandbox.
</Warning>

## Numbers That Return Reassigned

These phone numbers always return as reassigned regardless of the date:

| Phone Number |
| ------------ |
| 5555551212   |
| 5555551234   |
| 5555554321   |
| 5555559876   |
| 5555558765   |
| 5555555678   |
| 5555558769   |
| 5555557654   |

## Numbers That Return Not Reassigned

These phone numbers always return as not reassigned regardless of the date:

| Phone Number |
| ------------ |
| 5556551234   |
| 5556554321   |
| 5556559876   |
| 5556558765   |
| 5556555678   |
| 5556558769   |
| 5556557654   |

## Example Requests

### Reassigned Number Example

```bash theme={null}
curl --location 'https://dataapi.dncscrub.com/v1.5/Data/EnhancedRND' \
--header 'loginId: {loginId}' \
--header 'Content-Type: application/json' \
--data '{
  "UseSandbox": true,
  "ProjId": "DVLP01",
  "Data": [
    {
      "phoneNumber": "5555551212",
      "date": "20220807"
    }
  ]
}'
```

**Response:**

```json theme={null}
[
  {
    "PhoneNumber": "5555551212",
    "IsReassigned": true,
    "HasSafeHarbor": false,
    "CCCIsReassigned": true
  }
]
```

### Not Reassigned Number Example

```bash theme={null}
curl --location 'https://dataapi.dncscrub.com/v1.5/Data/EnhancedRND' \
--header 'loginId: {loginId}' \
--header 'Content-Type: application/json' \
--data '{
  "UseSandbox": true,
  "ProjId": "DVLP01",
  "Data": [
    {
      "phoneNumber": "5556551234",
      "date": "20220807"
    }
  ]
}'
```

**Response:**

```json theme={null}
[
  {
    "PhoneNumber": "5556551234",
    "IsReassigned": false,
    "HasSafeHarbor": true,
    "CCCIsReassigned": false
  }
]
```

## Testing Best Practices

<AccordionGroup>
  <Accordion title="Test All Response Types">
    Make sure to test both reassigned and not reassigned responses to ensure
    your application handles each case correctly.
  </Accordion>

  <Accordion title="Verify Date Handling">
    Test with various date formats to ensure your system correctly formats dates
    for the API.
  </Accordion>
</AccordionGroup>
